Package org.apache.lucene.codecs.lucene99

## Class Lucene99ScalarQuantizedVectorScorer

- java.lang.Object
- - org.apache.lucene.codecs.lucene99.Lucene99ScalarQuantizedVectorScorer

- All Implemented Interfaces:
    `FlatVectorsScorer`

      public class Lucene99ScalarQuantizedVectorScorer
      extends Object
      implements FlatVectorsScorer

  Optimized scalar quantized implementation of `FlatVectorsScorer` for quantized vectors stored in the Lucene99 format.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene99ScalarQuantizedVectorScorer​(FlatVectorsScorer flatVectorsScorer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RandomVectorScorer` | `getRandomVectorScorer​(VectorSimilarityFunction similarityFunction, RandomAccessVectorValues vectorValues, byte[] target)` | Returns a `RandomVectorScorer` for the given set of vectors and target vector.
    `RandomVectorScorer` | `getRandomVectorScorer​(VectorSimilarityFunction similarityFunction, RandomAccessVectorValues vectorValues, float[] target)` | Returns a `RandomVectorScorer` for the given set of vectors and target vector.
    `RandomVectorScorerSupplier` | `getRandomVectorScorerSupplier​(VectorSimilarityFunction similarityFunction, RandomAccessVectorValues vectorValues)` | Returns a `RandomVectorScorerSupplier` that can be used to score vectors
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene99ScalarQuantizedVectorScorer

          public Lucene99ScalarQuantizedVectorScorer​(FlatVectorsScorer flatVectorsScorer)

  - ### Method Detail

    - #### getRandomVectorScorerSupplier

          public RandomVectorScorerSupplier getRandomVectorScorerSupplier​(VectorSimilarityFunction similarityFunction,
                                                                          RandomAccessVectorValues vectorValues)
                                                                   throws IOException

      Description copied from interface: `FlatVectorsScorer`
      Returns a `RandomVectorScorerSupplier` that can be used to score vectors
      Specified by:
        `getRandomVectorScorerSupplier` in interface `FlatVectorsScorer`
      Parameters:
        `similarityFunction` - the similarity function to use
        `vectorValues` - the vector values to score
      Returns:
        a `RandomVectorScorerSupplier` that can be used to score vectors
      Throws:
        `IOException` - if an I/O error occurs

    - #### getRandomVectorScorer

          public RandomVectorScorer getRandomVectorScorer​(VectorSimilarityFunction similarityFunction,
                                                          RandomAccessVectorValues vectorValues,
                                                          float[] target)
                                                   throws IOException

      Description copied from interface: `FlatVectorsScorer`
      Returns a `RandomVectorScorer` for the given set of vectors and target vector.
      Specified by:
        `getRandomVectorScorer` in interface `FlatVectorsScorer`
      Parameters:
        `similarityFunction` - the similarity function to use
        `vectorValues` - the vector values to score
        `target` - the target vector
      Returns:
        a `RandomVectorScorer` for the given field and target vector.
      Throws:
        `IOException` - if an I/O error occurs when reading from the index.

    - #### getRandomVectorScorer

          public RandomVectorScorer getRandomVectorScorer​(VectorSimilarityFunction similarityFunction,
                                                          RandomAccessVectorValues vectorValues,
                                                          byte[] target)
                                                   throws IOException

      Description copied from interface: `FlatVectorsScorer`
      Returns a `RandomVectorScorer` for the given set of vectors and target vector.
      Specified by:
        `getRandomVectorScorer` in interface `FlatVectorsScorer`
      Parameters:
        `similarityFunction` - the similarity function to use
        `vectorValues` - the vector values to score
        `target` - the target vector
      Returns:
        a `RandomVectorScorer` for the given field and target vector.
      Throws:
        `IOException` - if an I/O error occurs when reading from the index.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`